Package: grails.plugins

## [Java] Interface PluginManagerAware

- For implementors interested in obtaining a reference to the Grails PluginManager instance.

  See Also:
    GrailsPluginManager
  Authors:
    Graeme Rocher
  Since:
    0.6

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `setPluginManager(GrailsPluginManager pluginManager)` Sets the plug-in manager on this instance

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### public void setPluginManager(GrailsPluginManager pluginManager)

      Sets the plug-in manager on this instance

      Parameters:
        `pluginManager` - The PluginManager